# Time Series Analysis and Forecasting using Python AtoZ
![Time series](images/time-series.jpg)
## What is Time Series ?
**Time Series** is a sequence of well-defined data points measured at consistent time intervals over a period of time. Data collected on an ad-hoc basis or irregularly does not form a time series.

### Attributes of a Time Series

- It's over a continuous time interval
- There are sequential measurements across that interval
- There is equal spacing between every two consecutive measurements
- Each time unit within the time interval has at most one data point

## What is Time Series Analysis ?
**Time series analysis** comprises methods for analyzing time series data in order to extract meaningful summary and statistical information from points arranged in chronological order. It is done to diagnose past behavior as well as to predict future behavior.

## What is Time Series Forecasting ?
**Time series forecasting** is the use of a model to predict future values based on previously observed values.
## What is Time Series Segmentation ?
**Time-series segmentation** is a method of time-series analysis in which an input time-series is divided into a sequence of discrete segments in order to reveal the underlying properties of its source.

## Contents
### Time Series Forecasting
- [Common patterns](common_patterns.ipynb)
- [Naive Forecasting](naive_forecasting.ipynb)
- [Moving Average](moving_average.ipynb)
- [Time Windows](time_windows.ipynb)
- [Forecasting with Machine Learning](forecasting_with_machine_learning.ipynb)
- [Forecasting with RNN](forecasting_with_rnn.ipynb)
